package com.example.soulfood_assignment2;


import android.app.Activity;
import android.content.Context;
import android.os.AsyncTask;
import android.util.Log;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import java.util.ArrayList;
import java.util.Arrays;

public class ThaiAsyncTask  extends AsyncTask<Void, Void, ArrayAdapter<String>> {
    public ArrayList<String> thaiResults = new ArrayList<>();
    public ArrayList<String> attributesSong1 = new ArrayList<>();
    public ArrayList<String> attributesSong2 = new ArrayList<>();
    public ArrayList<String> attributesSong3 = new ArrayList<>();
    public ArrayList<String> attributesSong4 = new ArrayList<>();
    public ArrayList<String> attributesSong5 = new ArrayList<>();
    public ArrayList<String> attributesSong6 = new ArrayList<>();
    public ArrayList<String> attributesSong7 = new ArrayList<>();
    public ArrayList<String> songNamesList = new ArrayList<>();
    public String[] songNames = new String[20];
    public ListView listView;
    public Context context;
    public databaseInterface.Cuisine cuisine;
    public databaseInterface.Vibe vibe;
    public databaseInterface.Time time;

    public ThaiAsyncTask(Context context, databaseInterface.Cuisine cuisine, databaseInterface.Time time, databaseInterface.Vibe vibe) {

        this.context = context;
        this.cuisine = cuisine;
        this.vibe = vibe;
        this.time = time;
    }


    @Override
    protected ArrayAdapter<String> doInBackground(Void... params) {

        try {

            databaseInterface dbi = new databaseInterface();
            thaiResults = dbi.getPlaylistByAttributes(cuisine, vibe, time);
            for(int i = 0; i < thaiResults.size(); i++) {
                songNames[i] = dbi.getSongTitle(thaiResults.get(i));
            }
            songNamesList = new ArrayList<>(Arrays.asList(songNames));
            attributesSong1 = dbi.getAttributesBySongID(thaiResults.get(0));
            attributesSong2 = dbi.getAttributesBySongID(thaiResults.get(1));
            attributesSong3 = dbi.getAttributesBySongID(thaiResults.get(2));
            attributesSong4 = dbi.getAttributesBySongID(thaiResults.get(3));
            attributesSong5 = dbi.getAttributesBySongID(thaiResults.get(4));
            attributesSong6 = dbi.getAttributesBySongID(thaiResults.get(5));
            attributesSong7 = dbi.getAttributesBySongID(thaiResults.get(6));


                ArrayAdapter thaiAdapter = new ArrayAdapter<String>(
                    context, android.R.layout.simple_list_item_1, songNamesList
            );
            return thaiAdapter;
        } catch (Exception e) {
            e.printStackTrace();
        }

        return null;
    }

    @Override
    protected void onPostExecute(ArrayAdapter thaiAdapter) {
        listView.setAdapter(thaiAdapter);
    }


}

