package com.example.soulfood_assignment2;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.widget.ListView;

import static com.example.soulfood_assignment2.databaseInterface.Cuisine.american;
import static com.example.soulfood_assignment2.databaseInterface.Cuisine.any;
import static com.example.soulfood_assignment2.databaseInterface.Cuisine.chinese;
import static com.example.soulfood_assignment2.databaseInterface.Cuisine.french;
import static com.example.soulfood_assignment2.databaseInterface.Cuisine.indian;
import static com.example.soulfood_assignment2.databaseInterface.Cuisine.italian;
import static com.example.soulfood_assignment2.databaseInterface.Cuisine.thai;
import static com.example.soulfood_assignment2.databaseInterface.Time.breakfast;
import static com.example.soulfood_assignment2.databaseInterface.Time.dinner;
import static com.example.soulfood_assignment2.databaseInterface.Time.lunch;
import static com.example.soulfood_assignment2.databaseInterface.Vibe.calming;
import static com.example.soulfood_assignment2.databaseInterface.Vibe.chill;
import static com.example.soulfood_assignment2.databaseInterface.Vibe.energetic;

public class playlistView extends AppCompatActivity {

    databaseInterface.Cuisine cuisineTag;
    databaseInterface.Vibe vibeTag;
    databaseInterface.Time timeTag;

    ListView playlistView;

    String cuisine;
    String vibe;
    String timeOfDay;

    String anyVibe = "any";
    String anyTime = "any";
    String anyCuisine = "any";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_playlist_view);

        cuisine = getIntent().getStringExtra("cuisine");

        vibe = getIntent().getStringExtra("vibe");

        timeOfDay = getIntent().getStringExtra("timeofday");

        if(cuisine == null) {
            cuisineTag = any;
        } else if(cuisine.equalsIgnoreCase(anyCuisine)) {
            cuisineTag = any;
        } else if(cuisine.equalsIgnoreCase("chinese")) {
            cuisineTag = chinese;
        } else if(cuisine.equalsIgnoreCase("thai")) {
            cuisineTag = thai;
        } else if(cuisine.equalsIgnoreCase("indian")) {
            cuisineTag = indian;
        } else if(cuisine.equalsIgnoreCase("italian")) {
            cuisineTag = italian;
        } else if(cuisine.equalsIgnoreCase("american")) {
            cuisineTag = american;
        } else if(cuisine.equalsIgnoreCase("french")) {
            cuisineTag = french;
        }

        if(vibe == null) {
            vibeTag = databaseInterface.Vibe.any;
        } else if(vibe.equalsIgnoreCase(anyVibe)) {
            vibeTag = databaseInterface.Vibe.any;
        } else if(vibe.equalsIgnoreCase("chilled")) {
            vibeTag = chill;
        } else if(vibe.equalsIgnoreCase("energetic")) {
            vibeTag = energetic;
        } else if(vibe.equalsIgnoreCase("relaxed")) {
            vibeTag = calming;
        }

        if(timeOfDay == null) {
            timeTag = databaseInterface.Time.any;
        } else if(timeOfDay.equalsIgnoreCase(anyTime)) {
            timeTag = databaseInterface.Time.any;
        } else if(timeOfDay.equalsIgnoreCase("breakfast")) {
            timeTag = breakfast;
        } else if(timeOfDay.equalsIgnoreCase("lunch")) {
            timeTag = lunch;
        } else if(timeOfDay.equalsIgnoreCase("dinner")) {
            timeTag = dinner;
        }

        ThaiAsyncTask thaiAsyncTask = new ThaiAsyncTask(this, cuisineTag, timeTag, vibeTag);
        thaiAsyncTask.listView = findViewById(R.id.playlistView);
        thaiAsyncTask.execute();
        playlistView = thaiAsyncTask.listView;
    }
}
