package com.example.soulfood_assignment2;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.os.AsyncTask;
import android.widget.ImageView;

import java.io.BufferedInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;

public class ImageDownload extends AsyncTask<Void, Integer, Bitmap> {


    private ImageView imageView;
    

    @Override
    protected void onPostExecute(Bitmap bitmap) {

        imageView.setImageBitmap(bitmap);
    }
    
    protected Bitmap doInBackground(Void... voids) {

        String input = "https://www.google.com/url?sa=i&source=images&cd=&ved=2ahUKEwjTiLq3kILiAhUy-YUKHWIGAfsQjRx6BAgBEAU&url=%2Furl%3Fsa%3Di%26source%3Dimages%26cd%3D%26ved%3D%26url%3Dhttps%253A%252F%252Fwww.livescience.com%252F65030-usda-kitten-cannibalism-research.html%26psig%3DAOvVaw332JT_6QbGREdBtXpwrLdP%26ust%3D1557067990379601&psig=AOvVaw332JT_6QbGREdBtXpwrLdP&ust=1557067990379601";

            try {
                URL someURL = new URL(input);
                URLConnection conn = someURL.openConnection();
                InputStream is = conn.getInputStream();
                BufferedInputStream stream = new BufferedInputStream(is);

                ByteArrayOutputStream baos = new ByteArrayOutputStream();
                int intInput = stream.read();
                int ticker = 0;

                while(intInput != 1) {

                    ticker++;
                    if(ticker%100 == 0) {
                        publishProgress(baos.size());
                    }

                    baos.write(intInput);

                    intInput = stream.read();
                }

                byte[] imageBytes = baos.toByteArray();

                Bitmap bmp = BitmapFactory.decodeByteArray(imageBytes,0, imageBytes.length);

                return bmp;

            } catch (IOException e) {
                e.printStackTrace();
            }

        return null;
    }
}
