package com.example.soulfood_assignment2;

import android.content.Context;
import android.content.SharedPreferences;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import java.util.ArrayList;

public class SavedPlaylists extends AppCompatActivity {
    public static SharedPreferences playlists;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_saved_playlists);

        playlists = getPreferences(Context.MODE_PRIVATE);
        SharedPreferences.Editor editor = playlists.edit();

        editor.putString("playlist 1", "1");
        editor.commit();

        ArrayList<String> saved = new ArrayList<>();
        saved.add("Playlist " + playlists.getString("playlist 1", "0"));
        saved.add("Playlist " + playlists.getString("playlist 2", "0"));
        saved.add("Playlist " + playlists.getString("playlist 3", "0"));

        for (String s: saved) {
            if(s.equals("Playlist 0")) {
                saved.remove(s);
            }
        }

        ListView listView = findViewById(R.id.listViewPlaylists);

        ArrayAdapter<String> adapter = new ArrayAdapter<>(this, android.R.layout.simple_list_item_1, saved);
        listView.setAdapter(adapter);
    }
}
